import requests
from bs4 import BeautifulSoup
from urllib.parse import quote

def query_external_website(base_url, query):
    try:
        page = requests.get(base_url + quote(query))
        soup = BeautifulSoup(page.content, "html.parser")
        title = soup.find("span", class_="mw-page-title-main").text
        content = soup.find(id="mw-content-text").select("p")[2].text
        return "\nTITLE:\n" + title + "\n\nCONTENT:\n" + content + "\n\nFULL LINK:\n" + base_url + quote(query)
    except:
        return "Can't parse search result :("
